Author SHA1 Message Date
nehemiah-zb eabe405e91 Undo 2024-07-30 19:34:21 -04:00
nehemiah-zb 246520de0b Remove default webview 2024-07-30 13:20:12 -04:00
Andy CrossGate Yan 5ecf530ffb Changes for January 2024 2024-01-21 19:21:46 +08:00
Andy CrossGate Yan de01a6f9a1 GAPPS variants
Farewell, 18.x!
2022-07-17 04:04:11 +00:00
Andy CrossGate Yan 470e8fae7d Proper target names #2 2022-03-15 07:02:51 +00:00
Andy CrossGate Yan 4a1518f08e Remove device manifests
These were never meant to be uploaded
2022-01-22 01:12:34 +00:00
Andy CrossGate Yan 6a343a619d Proper target names
Fixes https://github.com/AndyCGYan/lineage_build_unified/issues/12
2021-11-18 11:58:28 +00:00
Andy CrossGate Yan a2fed94d14 Changes for September 2021 2021-09-11 04:33:25 +00:00
Andy CrossGate Yan c981584ef2 Initial unified commit for Android 11 2021-08-28 21:48:41 +00:00
5 changed files with 68 additions and 75 deletions
-1
View File
@@ -1 +0,0 @@
/local_manifests_device
+15 -7
View File
@@ -1,27 +1,35 @@
## Building "generic" LineageOS GSIs ## ## Building PHH-based LineageOS GSIs ##
Set up your environment by referring to [LineageOS Wiki](https://wiki.lineageos.org/devices/TP1803/build) (mainly "Install the build packages" and "Install the repo command"). To get started with building LineageOS GSI, you'll need to get familiar with [Git and Repo](https://source.android.com/source/using-repo.html), and set up your environment by referring to [LineageOS Wiki](https://wiki.lineageos.org/devices/redfin/build) (mainly "Install the build packages") and [How to build a GSI](https://github.com/phhusson/treble_experimentations/wiki/How-to-build-a-GSI%3F).
First, open a new Terminal window, which defaults to your home directory. Clone the modified treble_experimentations repo there:
git clone https://github.com/AndyCGYan/treble_experimentations
Create a new working directory for your LineageOS build and navigate to it: Create a new working directory for your LineageOS build and navigate to it:
mkdir lineage-20-build-gsi; cd lineage-20-build-gsi mkdir lineage-18.x-build-gsi; cd lineage-18.x-build-gsi
Initialize your LineageOS workspace: Initialize your LineageOS workspace:
repo init -u https://github.com/LineageOS/android.git -b lineage-20.0 --git-lfs repo init -u https://github.com/LineageOS/android.git -b lineage-18.1
Clone both this and the patches repos: Clone both this and the patches repos:
git clone https://github.com/AndyCGYan/lineage_build_unified lineage_build_unified -b lineage-20-light git clone https://github.com/AndyCGYan/lineage_build_unified lineage_build_unified -b lineage-18.1
git clone https://github.com/AndyCGYan/lineage_patches_unified lineage_patches_unified -b lineage-20-light git clone https://github.com/AndyCGYan/lineage_patches_unified lineage_patches_unified -b lineage-18.1
Finally, start the build script - for example, to build for all supported archs: Finally, start the build script - for example, to build for all supported archs:
bash lineage_build_unified/buildbot_unified.sh treble 64VN 64VS 64GN bash lineage_build_unified/buildbot_unified.sh treble 32B 32BO A64B A64BG A64BO 64B 64BG
Be sure to update the cloned repos from time to time! Be sure to update the cloned repos from time to time!
--- ---
Note: A-only and VNDKLite targets are generated from AB images instead of source-built - refer to [sas-creator](https://github.com/AndyCGYan/sas-creator).
---
This script is also used to make device-specific and/or personal builds. To do so, understand the script, and try the `device` and `personal` keywords. This script is also used to make device-specific and/or personal builds. To do so, understand the script, and try the `device` and `personal` keywords.
-1
View File
@@ -8,7 +8,6 @@ shopt -s nullglob
for project in $(cd $patches; echo *);do for project in $(cd $patches; echo *);do
p="$(tr _ / <<<$project |sed -e 's;platform/;;g')" p="$(tr _ / <<<$project |sed -e 's;platform/;;g')"
[ "$p" == build ] && p=build/make [ "$p" == build ] && p=build/make
[ "$p" == frameworks/proto/logging ] && p=frameworks/proto_logging
[ "$p" == vendor/hardware/overlay ] && p=vendor/hardware_overlay [ "$p" == vendor/hardware/overlay ] && p=vendor/hardware_overlay
[ "$p" == vendor/partner/gms ] && p=vendor/partner_gms [ "$p" == vendor/partner/gms ] && p=vendor/partner_gms
pushd $p pushd $p
+24 -38
View File
@@ -1,6 +1,7 @@
#!/bin/bash #!/bin/bash
echo "" echo ""
echo "LineageOS 20 Unified Buildbot" echo "LineageOS 18.x Unified Buildbot"
echo "ATTENTION: this script syncs repo on each run"
echo "Executing in 5 seconds - CTRL-C to exit" echo "Executing in 5 seconds - CTRL-C to exit"
echo "" echo ""
sleep 5 sleep 5
@@ -20,19 +21,11 @@ then
exit 1 exit 1
fi fi
NOSYNC=false
PERSONAL=false PERSONAL=false
for var in "${@:2}" if [ ${!#} == "personal" ]
do
if [ ${var} == "nosync" ]
then
NOSYNC=true
fi
if [ ${var} == "personal" ]
then then
PERSONAL=true PERSONAL=true
fi fi
done
# Abort early on error # Abort early on error
set -eE set -eE
@@ -45,9 +38,10 @@ echo\
)' ERR )' ERR
START=`date +%s` START=`date +%s`
BUILD_DATE="$(date -u +%Y%m%d)" BUILD_DATE="$(date +%Y%m%d)"
WITHOUT_CHECK_API=true
WITH_SU=true
prep_build() {
echo "Preparing local manifests" echo "Preparing local manifests"
mkdir -p .repo/local_manifests mkdir -p .repo/local_manifests
cp ./lineage_build_unified/local_manifests_${MODE}/*.xml .repo/local_manifests cp ./lineage_build_unified/local_manifests_${MODE}/*.xml .repo/local_manifests
@@ -62,13 +56,6 @@ prep_build() {
mkdir -p ~/build-output mkdir -p ~/build-output
echo "" echo ""
repopick -t 13-taro-kalama -r -f
repopick 321337 -r -f # Deprioritize important developer notifications
repopick 321338 -r -f # Allow disabling important developer notifications
repopick 321339 -r -f # Allow disabling USB notifications
repopick 340916 -r # SystemUI: add burnIn protection
}
apply_patches() { apply_patches() {
echo "Applying patch group ${1}" echo "Applying patch group ${1}"
bash ./lineage_build_unified/apply_patches.sh ./lineage_patches_unified/${1} bash ./lineage_build_unified/apply_patches.sh ./lineage_patches_unified/${1}
@@ -79,7 +66,8 @@ prep_device() {
} }
prep_treble() { prep_treble() {
: apply_patches patches_treble_prerequisite
apply_patches patches_treble_phh
} }
finalize_device() { finalize_device() {
@@ -87,36 +75,36 @@ finalize_device() {
} }
finalize_treble() { finalize_treble() {
: rm -f device/*/sepolicy/common/private/genfs_contexts
cd device/phh/treble
git clean -fdx
bash generate.sh lineage
cd ../../..
} }
build_device() { build_device() {
brunch ${1} brunch ${1}
mv $OUT/lineage-*.zip ~/build-output/lineage-20.0-$BUILD_DATE-UNOFFICIAL-${1}$($PERSONAL && echo "-personal" || echo "").zip mv $OUT/lineage-*.zip ~/build-output/lineage-18.1-$BUILD_DATE-UNOFFICIAL-${1}$($PERSONAL && echo "-personal" || echo "").zip
} }
build_treble() { build_treble() {
case "${1}" in case "${1}" in
("64VN") TARGET=gsi_arm64_vN;; ("32B") TARGET=arm_bvS;;
("64VS") TARGET=gsi_arm64_vS;; ("32BO") TARGET=arm_boS;;
("64GN") TARGET=gsi_arm64_gN;; ("A64B") TARGET=a64_bvS;;
("A64BG") TARGET=a64_bgS;;
("A64BO") TARGET=a64_boS;;
("64B") TARGET=arm64_bvS;;
("64BG") TARGET=arm64_bgS;;
(*) echo "Invalid target - exiting"; exit 1;; (*) echo "Invalid target - exiting"; exit 1;;
esac esac
lunch lineage_${TARGET}-userdebug lunch lineage_${TARGET}-userdebug
make installclean make installclean
make -j$(nproc --all) systemimage make -j$(nproc --all) systemimage
mv $OUT/system.img ~/build-output/lineage-20.0-$BUILD_DATE-UNOFFICIAL-${TARGET}$(${PERSONAL} && echo "-personal" || echo "").img make vndk-test-sepolicy
mv $OUT/system.img ~/build-output/lineage-18.1-$BUILD_DATE-UNOFFICIAL-${TARGET}$(${PERSONAL} && echo "-personal" || echo "").img
} }
if ${NOSYNC}
then
echo "ATTENTION: syncing/patching skipped!"
echo ""
echo "Setting up build environment"
source build/envsetup.sh &> /dev/null
echo ""
else
prep_build
echo "Applying patches" echo "Applying patches"
prep_${MODE} prep_${MODE}
apply_patches patches_platform apply_patches patches_platform
@@ -128,12 +116,10 @@ else
fi fi
finalize_${MODE} finalize_${MODE}
echo "" echo ""
fi
for var in "${@:2}" for var in "${@:2}"
do do
if [ ${var} == "nosync" ] || [ ${var} == "personal" ] if [ ${var} == "personal" ]
then then
continue continue
fi fi
+6 -5
View File
@@ -1,9 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<manifest> <manifest>
<project name="AndyCGYan/android_device_lineage_gsi" path="device/lineage/gsi" remote="github" revision="lineage-20" /> <project name="phhusson/vendor_hardware_overlay" path="vendor/hardware_overlay" remote="github" revision="pie" />
<project name="AndyCGYan/android_packages_apps_QcRilAm" path="packages/apps/QcRilAm" remote="github" revision="master" /> <project name="phhusson/device_phh_treble" path="device/phh/treble" remote="github" revision="android-11.0" />
<project name="TrebleDroid/vendor_hardware_overlay" path="vendor/hardware_overlay" remote="github" revision="pie" /> <project name="phhusson/vendor_vndk-tests" path="vendor/vndk-tests" remote="github" revision="master" />
<remove-project name="LineageOS/android_packages_apps_Camera2" /> <project name="phhusson/vendor_interfaces" path="vendor/interfaces" remote="github" revision="android-11.0" />
<project name="phhusson/vendor_magisk" path="vendor/magisk" remote="github" revision="android-10.0" />
<remote name="gitlab" fetch="https://gitlab.com/" /> <remote name="gitlab" fetch="https://gitlab.com/" />
<project name="MindTheGapps/vendor_gapps" path="vendor/gapps" remote="gitlab" revision="tau" /> <project name="00p513-dev/partner_gms" path="vendor/partner_gms" remote="gitlab" revision="11" />
</manifest> </manifest>